Skip to main content
POST
/
2026-01
/
statistics
/
report
/2026-01/statistics/report
curl --request POST \
  --url https://api.criteo.com/2026-01/statistics/report \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "advertiserIds": "123,456,789",
  "adSetIds": [
    "12345",
    "54321"
  ],
  "adSetNames": [
    "myAdSet1",
    "myAdSet2"
  ],
  "adSetStatus": [
    "Active"
  ],
  "dimensions": [
    "CampaignId",
    "Campaign",
    "AdsetId",
    "Adset",
    "AdvertiserId",
    "Advertiser",
    "AdId",
    "Ad",
    "CouponId",
    "Coupon",
    "CategoryId",
    "Category",
    "Hour",
    "Day",
    "Week",
    "Month",
    "Year",
    "Os",
    "Device"
  ],
  "metrics": [
    "Clicks",
    "Displays",
    "Cpc",
    "Visits"
  ],
  "currency": "EUR",
  "format": "csv",
  "timezone": "Europe/Paris",
  "startDate": "2024-01-01T00:00:00.0000000+00:00",
  "endDate": "2024-01-04T00:00:00.0000000+00:00"
}
'
"<string>"

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

This is the message defining the query for Adset report

advertiserIds
string
required

List of advertiser IDs to report on, provided as a single comma-separated string (e.g., "123,456,789"). The advertisers must already exist. If empty, all advertisers will be used.

currency
string
required

The currency used for the report. ISO 4217 code (three-letter capitals).

dimensions
enum<string>[]
required

List of dimensions for the report. At least one dimension should be provided.

When an ID dimension is requested (e.g., AdsetId), the corresponding name dimension (e.g., Adset) is automatically included, and vice versa. This applies to the following pairs: AdsetId/Adset, AdId/Ad, AdvertiserId/Advertiser, CampaignId/Campaign, CategoryId/Category, CouponId/Coupon, MarketingObjectiveId/MarketingObjective, ChannelId/Channel.

Minimum array length: 1
Available options:
AdsetId,
Adset,
AdvertiserId,
Advertiser,
CategoryId,
Category,
Hour,
Day,
Week,
Month,
Year,
Os,
Device,
CampaignId,
Campaign,
AdId,
Ad,
CouponId,
Coupon,
MarketingObjectiveId,
MarketingObjective,
ChannelId,
Channel,
Goal,
AdChannel,
SocialPlatform
endDate
string<date-time>
required

End date of the report. Date component of ISO 8601 format, any time or timezone component is ignored.

metrics
enum<string>[]
required

List of metrics for the report. Provide at least one metric to return performance data; otherwise, the response will include only dimension-related information.

Available options:
Clicks,
Displays,
AdvertiserCost,
SalesPc30dClientAttribution,
SalesClientAttribution,
SalesPc30d,
SalesAllPc30dClientAttribution,
SalesAllClientAttribution,
SalesAllPc30d,
SalesPv24h,
SalesAllPv24h,
SalesPc30Pv24,
SalesAllPc30Pv24,
SalesPc30dPv24h,
SalesAllPc30dPv24h,
SalesPc7dPv24,
SalesAllPc7dPv24,
SalesLc,
SalesAllLc,
SalesPc7d,
SalesAllPc7d,
SalesPc1d,
SalesAllPc1d,
SalesPiPc,
SalesPiPv,
SalesPiPcPv,
PostInstallSales,
SalesOfflinePc,
SalesOfflinePv,
SalesOfflinePc30d,
SalesOfflinePv24h,
RevenueGeneratedPc30dClientAttribution,
RevenueGeneratedClientAttribution,
RevenueGeneratedPc30d,
RevenueGeneratedAllPc30dClientAttribution,
RevenueGeneratedAllClientAttribution,
RevenueGeneratedAllPc30d,
RevenueGeneratedPv24h,
RevenueGeneratedAllPv24h,
RevenueGeneratedPc30Pv24,
RevenueGeneratedAllPc30Pv24,
RevenueGeneratedPc30dPv24h,
RevenueGeneratedAllPc30dPv24h,
RevenueGeneratedPc7dPv24,
RevenueGeneratedAllPc7dPv24,
RevenueGeneratedLc,
RevenueGeneratedAllLc,
RevenueGeneratedPc7d,
RevenueGeneratedAllPc7d,
RevenueGeneratedPc1d,
RevenueGeneratedAllPc1d,
RevenueGeneratedOfflinePc,
RevenueGeneratedOfflinePv,
RevenueGeneratedOfflinePc30d,
RevenueGeneratedOfflinePv24h,
ConversionRatePc30dClientAttribution,
ConversionRateClientAttribution,
ConversionRatePc30d,
ConversionRateAllPc30dClientAttribution,
ConversionRateAllClientAttribution,
ConversionRateAllPc30d,
ConversionRatePv24h,
ConversionRateAllPv24h,
ConversionRatePc30Pv24,
ConversionRateAllPc30Pv24,
ConversionRatePc30dPv24h,
ConversionRateAllPc30dPv24h,
ConversionRatePc7dPv24,
ConversionRateAllPc7dPv24,
ConversionRatePc7d,
ConversionRateAllPc7d,
ConversionRatePc1d,
ConversionRateAllPc1d,
ConversionRatePiPcPv,
PostInstallConversionRate,
ECosPc30dClientAttribution,
ECosClientAttribution,
ECosPc30d,
ECosAllPc30dClientAttribution,
ECosAllClientAttribution,
ECosAllPc30d,
ECosPv24h,
ECosAllPv24h,
ECosPc30Pv24,
ECosAllPc30Pv24,
ECosPc30dPv24h,
ECosAllPc30dPv24h,
ECosPc7dPv24,
ECosAllPc7dPv24,
ECosPc7d,
ECosAllPc7d,
ECosPc1d,
ECosAllPc1d,
CostPerOrderPc30dClientAttribution,
CostPerOrderClientAttribution,
CostPerOrderPc30d,
CostPerOrderAllPc30dClientAttribution,
CostPerOrderAllClientAttribution,
CostPerOrderAllPc30d,
CostPerOrderPv24h,
CostPerOrderAllPv24h,
CostPerOrderPc30Pv24,
CostPerOrderAllPc30Pv24,
CostPerOrderPc30dPv24h,
CostPerOrderAllPc30dPv24h,
CostPerOrderPc7dPv24,
CostPerOrderAllPc7dPv24,
CostPerOrderPc7d,
CostPerOrderAllPc7d,
CostPerOrderPc1d,
CostPerOrderAllPc1d,
ExposedUsers,
Audience,
Reach,
AverageCartPc30dClientAttribution,
AverageCartAllPc30dClientAttribution,
AverageCartClientAttribution,
AverageCartAllClientAttribution,
AverageCartPc30d,
AverageCartAllPc30d,
AverageCartPv24h,
AverageCartAllPv24h,
AverageCartPc1d,
AverageCartAllPc1d,
AverageCartPc7d,
AverageCartAllPc7d,
AverageCartPc30Pv24,
AverageCartAllPc30Pv24,
AverageCartPc30dPv24h,
AverageCartAllPc30dPv24h,
AverageCartPc7dPv24,
AverageCartAllPc7dPv24,
ClickThroughRate,
ECpc,
Cpc,
ECpm,
ReturnOnAdvertisingSpendingClientAttribution,
ReturnOnAdvertisingSpendingAllClientAttribution,
AdvertiserValue,
AdvertiserAllValue,
CostOfAdvertiserValue,
CostOfAdvertiserValueAll,
AppInstallsPcPv,
AppInstalls,
QualifiedVisits,
Visits,
VisitsPV1D,
VisitsAllPv1d,
OrderValuePi,
PostInstallOrderValue,
BounceRate,
CostPerInstallPcPv,
CostPerInstall,
CostPerVisit,
CostPerVisitPV1D,
CostPerQualifiedVisit,
InstallRatePcPv,
InstallRate,
OmnichannelRoasPc30d,
OmnichannelRoasAllPc30d,
OmnichannelRevenuePc30d,
OmnichannelRevenueAllPc30d,
OmnichannelSalesPc30d,
OmnichannelSalesAllPc30d,
OmnichannelRoasAllPv24h,
OmnichannelRoasPv24h,
OmnichannelRevenueAllPv24h,
OmnichannelRevenuePv24h,
OmnichannelSalesAllPv24h,
OmnichannelSalesPv24h,
OmnichannelRoasClientAttribution,
OmnichannelRevenueClientAttribution,
OmnichannelSalesClientAttribution,
RoasAllPc30dClientAttribution,
RoasPc30dClientAttribution,
RoasAllClientAttribution,
RoasClientAttribution,
RoasAllPc30d,
RoasPc30d,
RoasAllPc7d,
RoasPc7d,
RoasAllPc1d,
RoasPc1d,
RoasAllPv24h,
RoasPv24h,
RoasPc30Pv24,
RoasAllPc30Pv24,
RoasPc30dPv24h,
RoasAllPc30dPv24h,
RoasPc7dPv24,
RoasAllPc7dPv24,
CostOfSalePi,
CostPerOrderPi,
PostInstallCostOfSale,
PostInstallCostPerOrder,
ReturnOnAdvertiserSpendingPi,
PostInstallRoas,
ReturnOnAdvertiserSpendingOfflinePc,
ReturnOnAdvertiserSpendingOfflinePv,
RoasOfflinePc30d,
RoasOfflinePv24h,
PotentialDisplays,
OverallCompetitionWin,
ViewableDisplays,
NonViewableDisplays,
UntrackableDisplays,
Frequency,
InvalidDisplays,
InvalidClicks,
ResultType,
VideoStarted,
VideoFirstQuartile,
VideoMidpoint,
VideoThirdQuartile,
VideoCompleted,
VideoAvoc,
VideoStartRate,
VideoCompletionRate,
VideoAverageViewRate,
VideoCpv,
VideoCpcv,
PotentialUsers,
RetailerMarginEuro,
PlatformFeeEuro,
AllInMediaCost,
NetMediaCost,
Cos
startDate
string<date-time>
required

Start date of the report. Date component of ISO 8601 format, any time or timezone component is ignored. Must be ≤ endDate.

adSetIds
string[] | null

Optional list of ad set IDs to filter on. The ad sets must already exist. If empty, all ad sets will be fetched.

adSetNames
string[] | null

Optional list of ad set names to filter on. If empty, all ad sets will be fetched.

adSetStatus
enum<string>[] | null

Optional list of ad set statuses to filter on. If empty, all ad sets will be fetched.

Available options:
Active,
NotRunning,
Dead
format
enum<string>
default:json

Optional file format of the generated report.

Available options:
csv,
excel,
xml,
json
timezone
string | null
default:UTC

Optional timezone used for the report. Timezone Database format (Tz).

Response

Success

The response is of type file.